Package com.independentsoft.office.vml

# Enum Class FontWeight

java.lang.Object
java.lang.Enum<FontWeight>
com.independentsoft.office.vml.FontWeight

All Implemented Interfaces:
  `Serializable`, `Comparable<FontWeight>`, `Constable`

public enum FontWeight extends Enum<FontWeight>
The Enum FontWeight.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOLD`
  `BOLDER`
  `LIGHTER`
  `NONE`
  `NORMAL`
  `WEIGHT100`
  `WEIGHT200`
  `WEIGHT300`
  `WEIGHT400`
  `WEIGHT500`
  `WEIGHT600`
  `WEIGHT700`
  `WEIGHT800`
  `WEIGHT900`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FontWeight`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FontWeight[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final FontWeight NORMAL

  - ### LIGHTER

    public static final FontWeight LIGHTER

  - ### WEIGHT100

    public static final FontWeight WEIGHT100

  - ### WEIGHT200

    public static final FontWeight WEIGHT200

  - ### WEIGHT300

    public static final FontWeight WEIGHT300

  - ### WEIGHT400

    public static final FontWeight WEIGHT400

  - ### BOLD

    public static final FontWeight BOLD

  - ### BOLDER

    public static final FontWeight BOLDER

  - ### WEIGHT500

    public static final FontWeight WEIGHT500

  - ### WEIGHT600

    public static final FontWeight WEIGHT600

  - ### WEIGHT700

    public static final FontWeight WEIGHT700

  - ### WEIGHT800

    public static final FontWeight WEIGHT800

  - ### WEIGHT900

    public static final FontWeight WEIGHT900

  - ### NONE

    public static final FontWeight NONE

- ## Method Details

  - ### values

    public static FontWeight[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FontWeight valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null